%global pkgvers 0
%global scdate0 20240605
%global schash0 342f4b6affb609c6e1274e1c20912664a7a329ee
%global branch0 master
%global source0 https://gerrit.osmocom.org/osmo-iuh.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           osmo-iuh
Version:        1.5.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Osmocom 3GPP Iuh interface
License:        AGPLv3

URL:            https://osmocom.org/projects/osmohnbgw/wiki

BuildRequires:  git gcc autoconf automake libtool python3 doxygen
BuildRequires:  lksctp-tools-devel libasn1c-devel libosmocore-devel
BuildRequires:  libosmo-netif-devel libosmo-sccp-devel

%undefine _hardened_build
%undefine _annotated_build

%description
C-language implementation of the 3GPP Iuh interface.

%package          devel
Summary:          Development files for %{name}
Requires:         %{name} = %{version}-%{release}

%description      devel
Development files for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;
sed -i -e 's|UNKNOWN|%{version}|g' %{buildroot}/%{_libdir}/pkgconfig/*.pc


%check
make check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/osmocom/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- git update releases
